# nng_tls_register(3) Manual Page

## NAME

nng_tls_register - register tls transport

## SYNOPSIS

    #include <nng/transport/tls/tls.h>

    int nng_tls_register(void);

## DESCRIPTION

The `nng_tls_register()` function registers the tls transport for use.

## RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient memory is available.
`NNG_ENOTSUP` | The transport is not supported.

## SEE ALSO

nng_tls(7), nng(7)